geos::operation::relate::EdgeEndBundleStar Class Reference

An ordered list of EdgeEndBundle objects around a RelateNode. More...

`#include <EdgeEndBundleStar.h>`

Inheritance diagram for geos::operation::relate::EdgeEndBundleStar:

## Public Member Functions

| EdgeEndBundleStar ()
| Creates a new empty EdgeEndBundleStar.
void | insert (geomgraph::EdgeEnd *e) override
| Insert a EdgeEnd into this EdgeEndStar.
void | updateIM (geom::IntersectionMatrix &im)
Public Member Functions inherited from geos::geomgraph::EdgeEndStar
geom::Coordinate & | getCoordinate ()
const geom::Coordinate & | getCoordinate () const
std::size_t | getDegree ()
iterator | begin ()
iterator | end ()
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_iterator | begin () const
const_iterator | end () const
container & | getEdges ()
EdgeEnd * | getNextCW (EdgeEnd *ee)
virtual void | computeLabelling (const std::vector< std::unique_ptr< GeometryGraph > > &geomGraph)
bool | isAreaLabelsConsistent (const GeometryGraph &geomGraph)
void | propagateSideLabels (uint32_t geomIndex)
iterator | find (EdgeEnd *eSearch)
virtual std::string | print () const

## Additional Inherited Members

Public Types inherited from geos::geomgraph::EdgeEndStar
typedef std::set< EdgeEnd *, EdgeEndLT > | container
typedef container::iterator | iterator
typedef container::const_iterator | const_iterator
typedef container::reverse_iterator | reverse_iterator
Protected Member Functions inherited from geos::geomgraph::EdgeEndStar
void | insertEdgeEnd (EdgeEnd *e)
| Insert an EdgeEnd into the map.
Protected Attributes inherited from geos::geomgraph::EdgeEndStar
EdgeEndStar::container | edgeMap
| A map which maintains the edges in sorted order around the node.

## Detailed Description

An ordered list of EdgeEndBundle objects around a RelateNode.

They are maintained in CCW order (starting with the positive x-axis) around the node for efficient lookup and topology building.

## Member Function Documentation

## insert()

void geos::operation::relate::EdgeEndBundleStar::insert | ( | geomgraph::EdgeEnd * | e | ) |

override virtual

Insert a EdgeEnd into this EdgeEndStar.

Implements geos::geomgraph::EdgeEndStar.

## updateIM()

void geos::operation::relate::EdgeEndBundleStar::updateIM | ( | geom::IntersectionMatrix & | im | ) |

Update the IM with the contribution for the EdgeStubs around the node.

The documentation for this class was generated from the following file:

- EdgeEndBundleStar.h